Page MenuHomePhabricator

Special:Move throws "TypeError: this.namespace is undefined"
Closed, ResolvedPublic

Description

On Firefox Special:Move throws:

TypeError: this.namespace is undefined[Learn More]  mw.widgets.ComplexTitleInputWidget.js:111:3
	mw.widgets.ComplexTitleInputWidget.prototype.setDisabled http://localhost:8080/w/resources/src/mediawiki.widgets/mw.widgets.ComplexTitleInputWidget.js:111:3
	OoUiWidget http://localhost:8080/w/resources/lib/oojs-ui/oojs-ui-core.js:1601:2
	MwWidgetsComplexTitleInputWidget http://localhost:8080/w/resources/src/mediawiki.widgets/mw.widgets.ComplexTitleInputWidget.js:23:3
	OO.ui.Element.static.unsafeInfuse http://localhost:8080/w/resources/lib/oojs-ui/oojs-ui-core.js:789:8
	OO.ui.Element.static.infuse http://localhost:8080/w/resources/lib/oojs-ui/oojs-ui-core.js:658:12
	OO.ui.infuse http://localhost:8080/w/resources/lib/oojs-ui/oojs-ui-core.js:340:9
	<anonymous> http://localhost:8080/w/resources/src/mediawiki.special/mediawiki.special.movePage.js:6:2
	fire http://localhost:8080/w/load.php:3148:10
	fireWith http://localhost:8080/w/load.php:3260:7
	ready http://localhost:8080/w/load.php:3472:3
	completed http://localhost:8080/w/load.php:3503:3

on resources/src/mediawiki.widgets/mw.widgets.ComplexTitleInputWidget.js line 111.

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.29.0-wmf.20mw.widgets.Complex*: Fix setDisabled
mediawiki/core : wmf/1.29.0-wmf.19mw.widgets.Complex*: Fix setDisabled
mediawiki/core : mastermw.widgets.Complex*: Fix setDisabled

Event Timeline

Fomafix created this task.Apr 11 2017, 8:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2017, 8:57 AM
Prtksxna updated the task description. (Show Details)Apr 12 2017, 7:11 PM

Change 347903 had a related patch set uploaded (by Prtksxna):
[mediawiki/core@master] mw.widgets.Complex*: Fix setDisabled

https://gerrit.wikimedia.org/r/347903

Prtksxna claimed this task.Apr 12 2017, 7:31 PM

Change 347903 merged by jenkins-bot:
[mediawiki/core@master] mw.widgets.Complex*: Fix setDisabled

https://gerrit.wikimedia.org/r/347903

Yes, I'm scheduling it for the SWAT in an hour. It's a minor but noticeable regression (the namespace dropdown on Special:MovePage uses a native menu rather than our fancy one).

Thanks for the report and the fix. Sorry I missed this issue.

Change 347993 had a related patch set uploaded (by Bartosz Dziewoński; owner: Prtksxna):
[mediawiki/core@wmf/1.29.0-wmf.19] mw.widgets.Complex*: Fix setDisabled

https://gerrit.wikimedia.org/r/347993

Change 347994 had a related patch set uploaded (by Bartosz Dziewoński; owner: Prtksxna):
[mediawiki/core@wmf/1.29.0-wmf.20] mw.widgets.Complex*: Fix setDisabled

https://gerrit.wikimedia.org/r/347994

Change 347993 merged by jenkins-bot:
[mediawiki/core@wmf/1.29.0-wmf.19] mw.widgets.Complex*: Fix setDisabled

https://gerrit.wikimedia.org/r/347993

Change 347994 merged by jenkins-bot:
[mediawiki/core@wmf/1.29.0-wmf.20] mw.widgets.Complex*: Fix setDisabled

https://gerrit.wikimedia.org/r/347994

Mentioned in SAL (#wikimedia-operations) [2017-04-12T23:32:13Z] <catrope@tin> Synchronized php-1.29.0-wmf.19/resources/src/mediawiki.widgets: Fix setDisabled in mw.widgets.Complex* (T162667) (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-04-12T23:35:13Z] <catrope@tin> Synchronized php-1.29.0-wmf.20/resources/src/mediawiki.widgets: Fix setDisabled in mw.widgets.Complex* (T162667) (duration: 00m 42s)

matmarex closed this task as Resolved.Apr 13 2017, 12:00 AM
matmarex removed a project: Patch-For-Review.

Fixed and deployed.

Thanks for taking care of this @matmarex